<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <title>Universal Character Vault - <xsl:value-of select="/character/name/text()"/></title>
                <style type="text/css">
                    BODY { 
                    font-family: sans-serif; 
                    font-size: 100%; 
                    }
                    H1 { 
                    color: #336600; 
                    font-style: italic;
                    font-size: 1.1em;
                    }
                    H2 { 
                    color: #336600; 
                    font-size: 1em;
                    }
                    strong.green { color: #336600; }
                    strong.green { font-style: italic; }
                    p { 
                    font-size: 0.75em; 
                    }
                    img.right
					{
					float:right;
					padding:3px;
					border-radius:10px;
					white-space:nowrap;
                    }
                    #tinytext
					{
					font-size:0.38em;
					color:#888888;
					}
                </style>
            </head>
            <body>
                <img class="right" src="portrait.png" alt="Featured Image"/>
                <h1><xsl:value-of select="/character/name/text()"/></h1>
                
                <!-- Loop through the Data blocks. -->
                <xsl:for-each select="/character/datablock">
                    <p>
                        <xsl:for-each select="data">
                            <xsl:choose>
                                <xsl:when test="@renamed != ''">
                                    <strong><xsl:value-of select="@renamed"/></strong>&#160;
                                </xsl:when>
                                
                                <xsl:otherwise>
                                    <xsl:choose>
                                        <xsl:when test="@name = 'Description'">
                                            <em><xsl:value-of select="text()"/></em><br/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <strong><xsl:value-of select="@name"/></strong>&#160;
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:otherwise>
                            </xsl:choose>
                            
                            <xsl:choose>
                                <xsl:when test="text() != ''">
                                    <xsl:if test="@name != 'Description'">
                                        <xsl:value-of select="text()"/><br/>
                                    </xsl:if>
                                </xsl:when>
                            </xsl:choose>
                            <br />
                        </xsl:for-each>
                    </p>
                </xsl:for-each>
                
                <!-- Include Journals, if available. -->
				<xsl:for-each select="//article">
					<p>
						<h4><xsl:value-of select="@title"/></h4>
						<article>
							<xsl:attribute name="title">
								<xsl:value-of select="@title"/>
							</xsl:attribute>
							<xsl:for-each select="span">
								<span>
									<xsl:attribute name="style">
										<xsl:value-of select="@style"/>
									</xsl:attribute>
									<xsl:value-of select="text()"/>
									<xsl:if test="br">
										<br/>
									</xsl:if>
								</span>
							</xsl:for-each>
						</article>
					</p>
					<hr/>
				</xsl:for-each>
				
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>